package com.guru99.website.tuto.pages;
import com.codeborne.selenide.SelenideElement;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.support.PageFactory;
import static com.codeborne.selenide.Selenide.$;


public class LoginPage {
    WebDriver driver;

    public LoginPage(WebDriver driver) {
        this.driver = driver;
        PageFactory.initElements(driver,this);
    }
    ////////////////////////////////////////////LOGINPAGES-ELEMENTOS////////////////////////////////////////////////

    public static SelenideElement getUser(){ return $(By.name("uid")); }
    public static SelenideElement getPassword(){ return $(By.name("password")); }
    public static SelenideElement btnReset(){ return $(By.name("btnReset")); }
    public static SelenideElement btnLogin(){ return $(By.name("btnLogin")); }
    public static SelenideElement hiddenUser(){ return $(By.id("message23")); }
    public static SelenideElement hiddenPassword(){ return $(By.id("message18")); }

}
