package com.guru99.website.tuto.test;

import com.codeborne.selenide.Selenide;
import io.cucumber.java.en.Then;

import static com.guru99.website.tuto.constantes.Constantes.GURU99_BANK;
import static com.guru99.website.tuto.constantes.Constantes.MANGER_ID;
import static com.guru99.website.tuto.steps.HomeSteps.Manger;
import static com.guru99.website.tuto.steps.HomeSteps.Title;
import static com.guru99.website.tuto.steps.LoginSteps.ClickLogin;
import static org.junit.Assert.assertEquals;

public class HomeTest {

    @Then("Enter the home")
    public void enterTheHome() {
        ClickLogin();
        //Comprobar que la frase animada es la esperada, y que la frase estatica es la esperada tambien:
        assertEquals(GURU99_BANK,Title());
        assertEquals(MANGER_ID,Manger());
        Selenide.clearBrowserCookies();
        Selenide.closeWebDriver();
    }

}
